Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.tools.benchmark
Interface Reporter

All Known Implementing Classes:
  HtmlReporter, MultiReporter, TextReporter

    public interface Reporter

A listener to what the `Harness` is doing that should report the results. The sequence of methods is:

     startBenchmark,
     (
       startMetric,
       (
         startTarget,
         ( metricRecorded | metricFailed ),
         endTarget
       ) * ,
       endMetric
     ) * ,
     endBenchmark

Author:
  Joe Walnes
See Also:
  `Harness`

Method Summary
`void` | `endBenchmark()` Benchmark has ended.
`void` | `endMetric(Metric metric)`
`void` | `endTarget(Target target)`
`void` | `metricFailed(Product product, Exception e)`
`void` | `metricRecorded(Product product, double result)`
`void` | `startBenchmark()` Benchmark has started.
`void` | `startMetric(Metric metric)`
`void` | `startTarget(Target target)`

Method Detail

### startBenchmark

    void startBenchmark()

  Benchmark has started. This will always be called ONCE (and only once) BEFORE everything else.

### startMetric

    void startMetric(Metric metric)

### startTarget

    void startTarget(Target target)

### metricRecorded

    void metricRecorded(Product product,
                        double result)

### metricFailed

    void metricFailed(Product product,
                      Exception e)

### endTarget

    void endTarget(Target target)

### endMetric

    void endMetric(Metric metric)

### endBenchmark

    void endBenchmark()

  Benchmark has ended. This will always be called ONCE (and only once) AFTER everything else.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.